Package org.apache.commons.lang3.arch

## Class Processor

- java.lang.Object
- - org.apache.commons.lang3.arch.Processor

    public class Processor
    extends java.lang.Object

The `Processor` represents a microprocessor and defines some properties like architecture and type of the microprocessor.

Since:
  3.6

### Nested Class Summary

Nested Classes
`static class` `Processor.Arch` The `Processor.Arch` enum defines the architecture of a microprocessor.
`static class` `Processor.Type` The `Processor.Type` enum defines types of a microprocessor.

### Constructor Summary

Constructors
`Processor​(Processor.Arch arch, Processor.Type type)` Constructs a `Processor` object with the given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`Processor.Arch` `getArch()` Returns the processor architecture as an `Processor.Arch` enum.
`Processor.Type` `getType()` Returns the processor type as `Processor.Type` enum.
`boolean` `is32Bit()` Checks if `Processor` is 32 bit.
`boolean` `is64Bit()` Checks if `Processor` is 64 bit.
`boolean` `isIA64()` Checks if `Processor` is type of Intel Itanium.
`boolean` `isPPC()` Checks if `Processor` is type of Power PC.
`boolean` `isX86()` Checks if `Processor` is type of x86.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Processor

    public Processor​(Processor.Arch arch,
                     Processor.Type type)

Constructs a `Processor` object with the given parameters.

Parameters:
  `arch` - The processor architecture.
  `type` - The processor type.

### Method Detail

#### getArch

    public Processor.Arch getArch()

Returns the processor architecture as an `Processor.Arch` enum. The processor architecture defines, if the processor has a 32 or 64 bit architecture.

Returns:
  A `Processor.Arch` enum.

#### getType

    public Processor.Type getType()

Returns the processor type as `Processor.Type` enum. The processor type defines, if the processor is for example a x86 or PPA.

Returns:
  A `Processor.Type` enum.

#### is32Bit

    public boolean is32Bit()

Checks if `Processor` is 32 bit.

Returns:
  `true`, if `Processor` is `Processor.Arch.BIT_32`, else `false`.

#### is64Bit

    public boolean is64Bit()

Checks if `Processor` is 64 bit.

Returns:
  `true`, if `Processor` is `Processor.Arch.BIT_64`, else `false`.

#### isX86

    public boolean isX86()

Checks if `Processor` is type of x86.

Returns:
  `true`, if `Processor` is `Processor.Type.X86`, else `false`.

#### isIA64

    public boolean isIA64()

Checks if `Processor` is type of Intel Itanium.

Returns:
  `true`. if `Processor` is `Processor.Type.IA_64`, else `false`.

#### isPPC

    public boolean isPPC()

Checks if `Processor` is type of Power PC.

Returns:
  `true`. if `Processor` is `Processor.Type.PPC`, else `false`.